/*
 * Copyright 2009 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.dto.child;
 
 /**
 * @author jv-beans-gen
 *
 */
public class GradeInformationDto {

    /** 　　特別競走番号 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 1, byteLength = 4)
    private java.lang.Integer specialRaceNo;

    /** 　　競走名本題 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 5, byteLength = 60)
    private java.lang.String raceNameFull;

    /** 　　競走名略称１0文字 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 65, byteLength = 20)
    private java.lang.String raceNameShortChar10;

    /** 　　競走名略称6文字 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 85, byteLength = 12)
    private java.lang.String raceNameShortChar6;

    /** 　　競走名略称3文字 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 97, byteLength = 6)
    private java.lang.String raceNameShortChar3;

    /** 　　重賞回次[第ｎ回] */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 103, byteLength = 3)
    private java.lang.Integer gradeTimes;

    /** 　　グレードコード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 106, byteLength = 1)
    private org.stormcat.jvbeans.config.code.GradeCd gradeCd;

    /** 　　競走種別コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 107, byteLength = 2)
    private org.stormcat.jvbeans.config.code.RaceTypeCd raceTypeCd;

    /** 　　競走記号コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 109, byteLength = 3)
    private org.stormcat.jvbeans.config.code.RaceSignCd raceSignCd;

    /** 　　重量種別コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 112, byteLength = 1)
    private org.stormcat.jvbeans.config.code.WeightTypeCd weightTypeCd;

    /** 　　距離 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 113, byteLength = 4)
    private java.lang.Integer distance;

    /** 　　トラックコード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 117, byteLength = 2)
    private org.stormcat.jvbeans.config.code.TrackCd trackCd;


    /**
     * @return 　　特別競走番号
     */
    public java.lang.Integer getSpecialRaceNo() {
        return specialRaceNo;
    }
    
    /**
     * @param specialRaceNo 　　特別競走番号
     */
    public void setSpecialRaceNo(java.lang.Integer specialRaceNo) {
        this.specialRaceNo = specialRaceNo;
    }    
    
    /**
     * @return 　　競走名本題
     */
    public java.lang.String getRaceNameFull() {
        return raceNameFull;
    }
    
    /**
     * @param raceNameFull 　　競走名本題
     */
    public void setRaceNameFull(java.lang.String raceNameFull) {
        this.raceNameFull = raceNameFull;
    }    
    
    /**
     * @return 　　競走名略称１0文字
     */
    public java.lang.String getRaceNameShortChar10() {
        return raceNameShortChar10;
    }
    
    /**
     * @param raceNameShortChar10 　　競走名略称１0文字
     */
    public void setRaceNameShortChar10(java.lang.String raceNameShortChar10) {
        this.raceNameShortChar10 = raceNameShortChar10;
    }    
    
    /**
     * @return 　　競走名略称6文字
     */
    public java.lang.String getRaceNameShortChar6() {
        return raceNameShortChar6;
    }
    
    /**
     * @param raceNameShortChar6 　　競走名略称6文字
     */
    public void setRaceNameShortChar6(java.lang.String raceNameShortChar6) {
        this.raceNameShortChar6 = raceNameShortChar6;
    }    
    
    /**
     * @return 　　競走名略称3文字
     */
    public java.lang.String getRaceNameShortChar3() {
        return raceNameShortChar3;
    }
    
    /**
     * @param raceNameShortChar3 　　競走名略称3文字
     */
    public void setRaceNameShortChar3(java.lang.String raceNameShortChar3) {
        this.raceNameShortChar3 = raceNameShortChar3;
    }    
    
    /**
     * @return 　　重賞回次[第ｎ回]
     */
    public java.lang.Integer getGradeTimes() {
        return gradeTimes;
    }
    
    /**
     * @param gradeTimes 　　重賞回次[第ｎ回]
     */
    public void setGradeTimes(java.lang.Integer gradeTimes) {
        this.gradeTimes = gradeTimes;
    }    
    
    /**
     * @return 　　グレードコード
     */
    public org.stormcat.jvbeans.config.code.GradeCd getGradeCd() {
        return gradeCd;
    }
    
    /**
     * @param gradeCd 　　グレードコード
     */
    public void setGradeCd(org.stormcat.jvbeans.config.code.GradeCd gradeCd) {
        this.gradeCd = gradeCd;
    }    
    
    /**
     * @return 　　競走種別コード
     */
    public org.stormcat.jvbeans.config.code.RaceTypeCd getRaceTypeCd() {
        return raceTypeCd;
    }
    
    /**
     * @param raceTypeCd 　　競走種別コード
     */
    public void setRaceTypeCd(org.stormcat.jvbeans.config.code.RaceTypeCd raceTypeCd) {
        this.raceTypeCd = raceTypeCd;
    }    
    
    /**
     * @return 　　競走記号コード
     */
    public org.stormcat.jvbeans.config.code.RaceSignCd getRaceSignCd() {
        return raceSignCd;
    }
    
    /**
     * @param raceSignCd 　　競走記号コード
     */
    public void setRaceSignCd(org.stormcat.jvbeans.config.code.RaceSignCd raceSignCd) {
        this.raceSignCd = raceSignCd;
    }    
    
    /**
     * @return 　　重量種別コード
     */
    public org.stormcat.jvbeans.config.code.WeightTypeCd getWeightTypeCd() {
        return weightTypeCd;
    }
    
    /**
     * @param weightTypeCd 　　重量種別コード
     */
    public void setWeightTypeCd(org.stormcat.jvbeans.config.code.WeightTypeCd weightTypeCd) {
        this.weightTypeCd = weightTypeCd;
    }    
    
    /**
     * @return 　　距離
     */
    public java.lang.Integer getDistance() {
        return distance;
    }
    
    /**
     * @param distance 　　距離
     */
    public void setDistance(java.lang.Integer distance) {
        this.distance = distance;
    }    
    
    /**
     * @return 　　トラックコード
     */
    public org.stormcat.jvbeans.config.code.TrackCd getTrackCd() {
        return trackCd;
    }
    
    /**
     * @param trackCd 　　トラックコード
     */
    public void setTrackCd(org.stormcat.jvbeans.config.code.TrackCd trackCd) {
        this.trackCd = trackCd;
    }    
    
}